//OutPanel.java
import java.awt.*;
import java.applet.*;
import java.lang.*;

public class OutPanel extends Panel{
	Antenna ant;
	private static final Color bgcolor = new Color(236,236,221);
	OutPanel(Antenna ant){
		super();
		this.ant=ant;
		setBackground(bgcolor);
	}
	public void paint(Graphics g){
		g.draw3DRect(0,0,getSize().width-1,getSize().height-1,true);
		g.setFont(new Font("Sanserif",Font.BOLD,12));
		
		
                Graphics2D g2d = (Graphics2D)g;
                g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_ON);
                
                g.setColor(Color.blue);
		g.drawString("Maximum Directivity",10,15);
		g.setColor(Color.red);
		g.drawString("Total Radiated Power ",10,30);
		g.setColor(Color.black);
		g.setFont(new Font("Sanserif",Font.PLAIN,12));
		g.drawString(""+MaestroA.rounder(ant.directivityAB,4)+"",165,15);
		g.drawString(""+MaestroA.rounder(ant.TotalP,4)+" [ W ]",165,30);
	}
}


